Index: trunk/lib/FlairCore/src/io_data.cpp
===================================================================
--- trunk/lib/FlairCore/src/io_data.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/io_data.cpp	(revision 15)
@@ -21,5 +21,6 @@
 using std::string;
 
-namespace flair { namespace core {
+namespace flair {
+namespace core {
 
 DummyType dummyType;
@@ -28,40 +29,38 @@
 SignedIntegerType Int16Type(16);
 
-io_data::io_data(const Object* parent,string name,int n): Mutex(parent,name) {
-    pimpl_=new io_data_impl(this,n);
+io_data::io_data(const Object *parent, string name, int n)
+    : Mutex(parent, name) {
+  pimpl_ = new io_data_impl(this, n);
 }
 
-io_data::~io_data() {
-    delete pimpl_;
-}
+io_data::~io_data() { delete pimpl_; }
 
-void io_data::AppendLogDescription(string description,DataType const &datatype) {
-    pimpl_->AppendLogDescription(description,datatype);
+void io_data::AppendLogDescription(string description,
+                                   DataType const &datatype) {
+  pimpl_->AppendLogDescription(description, datatype);
 }
 
 void io_data::SetDataTime(Time time) {
-    GetMutex();
-    pimpl_->time=time;
-    ReleaseMutex();
+  GetMutex();
+  pimpl_->time = time;
+  ReleaseMutex();
 }
 
 Time io_data::DataTime(void) const {
-    Time tmp;
-    GetMutex();
-    tmp=pimpl_->time;
-    ReleaseMutex();
-    return tmp;
+  Time tmp;
+  GetMutex();
+  tmp = pimpl_->time;
+  ReleaseMutex();
+  return tmp;
 }
 
-const io_data* io_data::Prev(int n) const {
-    if(n>0)
-        return prev->Prev(n-1);
-    else
-        return this;
+const io_data *io_data::Prev(int n) const {
+  if (n > 0)
+    return prev->Prev(n - 1);
+  else
+    return this;
 }
 
-void io_data::SetPtrToCircle(void **ptr) {
-    pimpl_->circle_ptr=ptr;
-}
+void io_data::SetPtrToCircle(void **ptr) { pimpl_->circle_ptr = ptr; }
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/io_data.h
===================================================================
--- trunk/lib/FlairCore/src/io_data.h	(revision 14)
+++ trunk/lib/FlairCore/src/io_data.h	(revision 15)
@@ -19,150 +19,157 @@
 class io_data_impl;
 
-namespace flair { namespace core {
+namespace flair {
+namespace core {
 
-    class Object;
+class Object;
 
-    class DataType {
-    public:
-        virtual std::string GetDescription() const =0;
-        //size in bytes
-        virtual size_t GetSize() const =0;
-    };
+class DataType {
+public:
+  virtual std::string GetDescription() const = 0;
+  // size in bytes
+  virtual size_t GetSize() const = 0;
+};
 
-    class DummyType: public DataType {
-    public:
-        size_t GetSize() const {return 0;}
-        std::string GetDescription() const {return "dummy";};
-    };
-    extern DummyType dummyType;
+class DummyType : public DataType {
+public:
+  size_t GetSize() const { return 0; }
+  std::string GetDescription() const { return "dummy"; };
+};
+extern DummyType dummyType;
 
-    class ScalarType: public DataType {
-    public:
-        ScalarType(size_t _size):size(_size) {}
-        size_t GetSize() const {return size;}
-        virtual std::string GetDescription() const {return "scalar";};
-    private:
-        size_t size;
-    };
+class ScalarType : public DataType {
+public:
+  ScalarType(size_t _size) : size(_size) {}
+  size_t GetSize() const { return size; }
+  virtual std::string GetDescription() const { return "scalar"; };
 
-    class SignedIntegerType: public ScalarType {
-    public:
-        SignedIntegerType(size_t sizeInBits):ScalarType(sizeInBits/8){}
-        std::string GetDescription() const {return "int"+std::to_string(GetSize()*8)+"_t";};
-    };
-    extern SignedIntegerType Int8Type;
-    extern SignedIntegerType Int16Type;
+private:
+  size_t size;
+};
 
-    class FloatType: public ScalarType {
-    public:
-        FloatType():ScalarType(4){}
-        std::string GetDescription() const {return "float";};
-    };
-    extern FloatType floatType;
+class SignedIntegerType : public ScalarType {
+public:
+  SignedIntegerType(size_t sizeInBits) : ScalarType(sizeInBits / 8) {}
+  std::string GetDescription() const {
+    return "int" + std::to_string(GetSize() * 8) + "_t";
+  };
+};
+extern SignedIntegerType Int8Type;
+extern SignedIntegerType Int16Type;
 
+class FloatType : public ScalarType {
+public:
+  FloatType() : ScalarType(4) {}
+  std::string GetDescription() const { return "float"; };
+};
+extern FloatType floatType;
 
-    /*! \class io_data
-    *
-    * \brief Abstract class for data types.
-    *
-    * Use this class to define a custom data type. Data types ares used for logging and graphs. \n
-    * The reimplemented class must call SetSize() in its constructor. \n
-    * io_data can be constructed with n samples (see io_data::io_data).
-    * In this case, old samples can be accessed throug io_data::Prev.
-    */
-    class io_data: public Mutex {
-        friend class IODevice;
-        friend class ::IODevice_impl;
-        friend class ::io_data_impl;
+/*! \class io_data
+*
+* \brief Abstract class for data types.
+*
+* Use this class to define a custom data type. Data types ares used for logging
+*and graphs. \n
+* The reimplemented class must call SetSize() in its constructor. \n
+* io_data can be constructed with n samples (see io_data::io_data).
+* In this case, old samples can be accessed throug io_data::Prev.
+*/
+class io_data : public Mutex {
+  friend class IODevice;
+  friend class ::IODevice_impl;
+  friend class ::io_data_impl;
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct an io_data. \n
-            *
-            * \param parent parent
-            * \param name name
-            * \param n number of samples
-            */
-            io_data(const Object* parent,std::string name,int n);
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct an io_data. \n
+  *
+  * \param parent parent
+  * \param name name
+  * \param n number of samples
+  */
+  io_data(const Object *parent, std::string name, int n);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            virtual ~io_data();
+  /*!
+  * \brief Destructor
+  *
+  */
+  virtual ~io_data();
 
-            /*!
-            * \brief Set data time
-            *
-            * \param time time
-            */
-            void SetDataTime(Time time);
+  /*!
+  * \brief Set data time
+  *
+  * \param time time
+  */
+  void SetDataTime(Time time);
 
-            /*!
-            * \brief Data time
-            *
-            * \return data time
-            */
-            Time DataTime(void) const;
+  /*!
+  * \brief Data time
+  *
+  * \return data time
+  */
+  Time DataTime(void) const;
 
-            /*!
-            * \brief Previous data
-            *
-            * Access previous data. io_data must have been constructed with
-            * n>1, io_data::SetPtrToCircle must have been set and
-            * io_data::prev must have been allocated.
-            *
-            * \param n previous data number
-            *
-            * \return previous data
-            */
-            const io_data* Prev(int n) const;
+  /*!
+  * \brief Previous data
+  *
+  * Access previous data. io_data must have been constructed with
+  * n>1, io_data::SetPtrToCircle must have been set and
+  * io_data::prev must have been allocated.
+  *
+  * \param n previous data number
+  *
+  * \return previous data
+  */
+  const io_data *Prev(int n) const;
 
-            virtual DataType const&GetDataType() const =0;
+  virtual DataType const &GetDataType() const = 0;
 
-        protected:
-            /*!
-            * \brief Specify the description of the reimplemented class data's
-            *
-            *  This method must be called in the constructor of the reimplemented class, once by element. \n
-            *  Each element description must be called in the same order as CopyDatas put the datas in the buffer. \n
-            *  The description will be used for the log descriptor file.
-            *
-            * \param description description of the element
-            * \param datatype type of the element
-            */
-            void AppendLogDescription(std::string description, DataType const &datatype);
+protected:
+  /*!
+  * \brief Specify the description of the reimplemented class data's
+  *
+  *  This method must be called in the constructor of the reimplemented class,
+  *once by element. \n
+  *  Each element description must be called in the same order as CopyDatas put
+  *the datas in the buffer. \n
+  *  The description will be used for the log descriptor file.
+  *
+  * \param description description of the element
+  * \param datatype type of the element
+  */
+  void AppendLogDescription(std::string description, DataType const &datatype);
 
-            /*!
-            * \brief Set the datas to circle
-            *
-            * \param ptr pointer to the data to circle
-            */
-            void SetPtrToCircle(void **ptr);
+  /*!
+  * \brief Set the datas to circle
+  *
+  * \param ptr pointer to the data to circle
+  */
+  void SetPtrToCircle(void **ptr);
 
-            /*!
-            * \brief Pointer to previous data
-            *
-            * Reimplemented class must allocate this pointer if n>1. \n
-            * Pointer must be allocated with the same kind of reimplemented class.
-            */
-            io_data* prev;
+  /*!
+  * \brief Pointer to previous data
+  *
+  * Reimplemented class must allocate this pointer if n>1. \n
+  * Pointer must be allocated with the same kind of reimplemented class.
+  */
+  io_data *prev;
 
-        private:
-            /*!
-            * \brief Copy datas
-            *
-            * This method is automatically called by IODevice::ProcessUpdate to log io_data datas. \n
-            * This method must be reimplemented, in order to copy the datas to the logs.
-            * Copied datas must be of size io_data::Size.
-            *
-            * \param dst destination buffer
-            */
-            virtual void CopyDatas(char* dst) const =0;
+private:
+  /*!
+  * \brief Copy datas
+  *
+  * This method is automatically called by IODevice::ProcessUpdate to log
+  *io_data datas. \n
+  * This method must be reimplemented, in order to copy the datas to the logs.
+  * Copied datas must be of size io_data::Size.
+  *
+  * \param dst destination buffer
+  */
+  virtual void CopyDatas(char *dst) const = 0;
 
-            io_data_impl *pimpl_;
-    };
+  io_data_impl *pimpl_;
+};
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/io_data_impl.cpp
===================================================================
--- trunk/lib/FlairCore/src/io_data_impl.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/io_data_impl.cpp	(revision 15)
@@ -23,56 +23,56 @@
 using namespace flair::core;
 
-io_data_impl::io_data_impl(io_data* self,int n) {
-    this->self=self;
-    this->n=n;
-    if(n<1) self->Err("n doit être >0\n");
-    size=0;
-    is_consistent=false;
-    circle_ptr=NULL;
+io_data_impl::io_data_impl(io_data *self, int n) {
+  this->self = self;
+  this->n = n;
+  if (n < 1)
+    self->Err("n doit être >0\n");
+  size = 0;
+  is_consistent = false;
+  circle_ptr = NULL;
 }
 
 io_data_impl::~io_data_impl() {}
 
-void io_data_impl::AppendLogDescription(string description,DataType const &datatype) {
-    description+=" ("+datatype.GetDescription()+")";
-    descriptors.push_back(description);
+void io_data_impl::AppendLogDescription(string description,
+                                        DataType const &datatype) {
+  description += " (" + datatype.GetDescription() + ")";
+  descriptors.push_back(description);
 }
 
-void io_data_impl::WriteLogDescriptor(std::fstream& desc_file,int *index) {
-    for(size_t i=0;i<descriptors.size();i++) {
-        desc_file << (*index)++ << ": " << self->ObjectName() << " - " << descriptors.at(i) << "\n";
-    }
+void io_data_impl::WriteLogDescriptor(std::fstream &desc_file, int *index) {
+  for (size_t i = 0; i < descriptors.size(); i++) {
+    desc_file << (*index)++ << ": " << self->ObjectName() << " - "
+              << descriptors.at(i) << "\n";
+  }
 }
 
 void io_data_impl::PrintLogDescriptor(void) {
-    for(size_t i=0;i<descriptors.size();i++) {
-        Printf("    %s\n",descriptors.at(i).c_str());
-    }
+  for (size_t i = 0; i < descriptors.size(); i++) {
+    Printf("    %s\n", descriptors.at(i).c_str());
+  }
 }
 
 void io_data_impl::Circle(void) {
-    if(n>1) {
-        self->GetMutex();
+  if (n > 1) {
+    self->GetMutex();
 
-        void* tmp=*self->Prev(n-1)->pimpl_->circle_ptr;
+    void *tmp = *self->Prev(n - 1)->pimpl_->circle_ptr;
 
-        for(int i=0;i<n-1;i++) {
-            //printf("%i\n",i);
-            *(self->Prev(n-1-i)->pimpl_->circle_ptr)=*(self->Prev(n-2-i)->pimpl_->circle_ptr);
-            self->Prev(n-1-i)->pimpl_->is_consistent=self->Prev(n-2-i)->pimpl_->is_consistent;
-            self->Prev(n-1-i)->pimpl_->time=self->Prev(n-2-i)->pimpl_->time;
-        }
-        *circle_ptr=tmp;
-        is_consistent=false;
-        self->ReleaseMutex();
-
+    for (int i = 0; i < n - 1; i++) {
+      // printf("%i\n",i);
+      *(self->Prev(n - 1 - i)->pimpl_->circle_ptr) =
+          *(self->Prev(n - 2 - i)->pimpl_->circle_ptr);
+      self->Prev(n - 1 - i)->pimpl_->is_consistent =
+          self->Prev(n - 2 - i)->pimpl_->is_consistent;
+      self->Prev(n - 1 - i)->pimpl_->time = self->Prev(n - 2 - i)->pimpl_->time;
     }
+    *circle_ptr = tmp;
+    is_consistent = false;
+    self->ReleaseMutex();
+  }
 }
 
-bool io_data_impl::IsConsistent(void) {
-    return is_consistent;
-}
+bool io_data_impl::IsConsistent(void) { return is_consistent; }
 
-void io_data_impl::SetConsistent(bool status) {
-    is_consistent=status;
-}
+void io_data_impl::SetConsistent(bool status) { is_consistent = status; }
